Index: main/trunk/greenstone2/runtime-src/src/recpt/queryaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/recpt/queryaction.cpp	(revision 22980)
+++ main/trunk/greenstone2/runtime-src/src/recpt/queryaction.cpp	(revision 22984)
@@ -50,4 +50,5 @@
   arg_ainfo.longname = "action";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "q";
@@ -59,4 +60,5 @@
   arg_ainfo.longname = "collection type";
   arg_ainfo.multiplechar = true; // can be empty or single char
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -68,4 +70,5 @@
   arg_ainfo.longname = "query mode";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -77,4 +80,5 @@
   arg_ainfo.longname = "main index";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -86,4 +90,5 @@
   arg_ainfo.longname = "main index for second query";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -95,4 +100,5 @@
   arg_ainfo.longname = "sub collection index";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -104,4 +110,5 @@
   arg_ainfo.longname = "sub collection index for second query";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -113,4 +120,5 @@
   arg_ainfo.longname = "language index";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -122,4 +130,5 @@
   arg_ainfo.longname = "language index for second query";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -132,4 +141,5 @@
   arg_ainfo.longname = "search type";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "1";
@@ -141,4 +151,5 @@
   arg_ainfo.longname = "casefolding";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "1";
@@ -150,4 +161,5 @@
   arg_ainfo.longname = "casefolding support";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -159,4 +171,5 @@
   arg_ainfo.longname = "stemming";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -168,4 +181,5 @@
   arg_ainfo.longname = "stemming support";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -177,4 +191,5 @@
   arg_ainfo.longname = "accentfolding";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -186,4 +201,5 @@
   arg_ainfo.longname = "accentfolding support";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -196,4 +212,5 @@
   arg_ainfo.longname = "cross collection searching";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -205,4 +222,5 @@
   arg_ainfo.longname = "cross collection page";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -214,4 +232,5 @@
   arg_ainfo.longname = "granularity";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText; 
@@ -223,4 +242,5 @@
   arg_ainfo.longname = "start date";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -232,4 +252,5 @@
   arg_ainfo.longname = "end date";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -241,4 +262,5 @@
   arg_ainfo.longname = "start date bc";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -250,4 +272,5 @@
   arg_ainfo.longname = "end date bc";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -259,4 +282,5 @@
   arg_ainfo.longname = "query type";
   arg_ainfo.multiplechar = true; // can be empty or single char
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -268,4 +292,5 @@
   arg_ainfo.longname = "query type options";
   arg_ainfo.multiplechar = true; // can be empty or single char
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -277,4 +302,5 @@
   arg_ainfo.longname = "query box type";
   arg_ainfo.multiplechar = false;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = "0";
@@ -288,4 +314,5 @@
   arg_ainfo.longname = "form query stems";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;
@@ -299,4 +326,5 @@
   arg_ainfo.longname = "form query casefolds";
   arg_ainfo.multiplechar = true;
+  arg_ainfo.multiplevalue = false;
   arg_ainfo.defaultstatus = cgiarginfo::weak;
   arg_ainfo.argdefault = g_EmptyText;