Index: /main/trunk/greenstone3/web/interfaces/oran/js/gui_div.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/js/gui_div.js	(revision 22986)
+++ /main/trunk/greenstone3/web/interfaces/oran/js/gui_div.js	(revision 22987)
@@ -217,4 +217,5 @@
     $('.gsf_template').sortable({
             'cursor':'pointer',
+            'tolerance': 'pointer',
             'items':'.table', //.gsf_choose_metadata, .gsf_metadata',
             'placeholder':'placeholder',
@@ -242,4 +243,5 @@
     $('.td-div').sortable({
             'cursor':'pointer',
+            'tolerance': 'pointer',
             'items':'.gsf_metadata, .gsf_choose_metadata, .gsf_link, .gsf_switch',
             'placeholder':'placeholder',
@@ -269,4 +271,5 @@
     $('.gsf_choose_metadata').sortable({
             'cursor':'pointer',
+            'tolerance': 'pointer',
             'items':'.gsf_metadata, .gsf_default',
             'placeholder':'placeholder',
@@ -285,5 +288,5 @@
     $('.gsf_link').sortable({
             'cursor':'pointer',
-            //'tolerance': 'pointer',
+            'tolerance': 'pointer',
             'items':'.gsf_icon, .gsf_text',
             'placeholder':'placeholder',
@@ -302,5 +305,5 @@
     $('.gsf_switch').sortable({
             'cursor':'pointer',
-            //'tolerance': 'pointer',
+            'tolerance': 'pointer',
             'items':'.gsf_metadata, .gsf_when, .gsf_otherwise',
             'placeholder':'placeholder',
@@ -319,5 +322,5 @@
     $('.gsf_when').sortable({
             'cursor':'pointer',
-            //'tolerance': 'pointer',
+            'tolerance': 'pointer',
             'items':'.leaf',
             'placeholder':'placeholder',
@@ -334,5 +337,5 @@
     $('.gsf_otherwise').sortable({
             'cursor':'pointer',
-            //'tolerance': 'pointer',
+            'tolerance': 'pointer',
             'items':'.leaf',
             'placeholder':'placeholder',
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl	(revision 22986)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl	(revision 22987)
@@ -151,5 +151,5 @@
         }
 
-        .header { background-color: #AFCCAF; border: solid 1px #117711; padding: 10px;}
+        .header { background-color: #AFCCAF; border: solid 1px #117711; padding: 5px;}
 
         .resizable { width: 150px; height: 150px; padding: 0.5em; } 
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui-templates.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui-templates.xsl	(revision 22986)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui-templates.xsl	(revision 22987)
@@ -37,5 +37,5 @@
         <xsl:variable name="choose_metadata">
             <table class="header"><tbody><tr><td>CHOOSE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
-            <div class="gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata"><table class="header"><tbody><tr><td>CHOOSE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
+            <div class="gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata"><table class="header"><tbody><tr><td class="header">CHOOSE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
         </xsl:variable>
 
@@ -47,8 +47,8 @@
     <!-- ********** GSF:METADATA ********** -->
         <xsl:variable name="metadata">
-        <div class="gsf_metadata css_gsf_metadata block leaf" title="gsf:metadata"><table class="header"><tbody><tr><td><xsl:call-template name="meta-to-combo">
+        <div class="gsf_metadata css_gsf_metadata block leaf" title="gsf:metadata"><table class="header"><tbody><tr><td class="header"><xsl:call-template name="meta-to-combo">
                         <xsl:with-param name="metadataSets" select="$metadataSets"/>
                         <xsl:with-param name="current" select="ex.title"/>
-                     </xsl:call-template></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
+                     </xsl:call-template></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
                     <!-- <a href="#" class="remove">[x]</a></div> -->
         </xsl:variable>
@@ -61,10 +61,10 @@
     <!-- ********** GSF:LINK ********** -->
         <xsl:variable name="link">
-        <div class="gsf_link css_gsf_link block" title="gsf:link">LINK[type=<select>
+        <div class="gsf_link css_gsf_link block" title="gsf:link"><table class="header"><tbody><tr><td class="header">LINK<select>
         	                <option value = "document" selected = "document">Document</option>
 	                        <option value = "classifier">Classifier</option>
                             <option value = "source">Source</option>
                             <option value = "horizontal">Horizontal</option>
-	            </select>]<a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a></div> 
+	            </select></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div> 
         </xsl:variable>
 
@@ -77,5 +77,5 @@
 
         <xsl:variable name="template">
-        <div class="gsf_template block" title="gsf:template">MATCH=<input type="text" name="rawtextinput" size="10"/><a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a><table border="1"><tr class="tr"></tr></table></div><br/>
+        <div class="gsf_template block" title="gsf:template"><table class="header"><tbody><tr><td class="header">MATCH=<input type="text" name="rawtextinput" size="10"/></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table><table border="1"><tr class="tr"></tr></table></div><br/>
         </xsl:variable>
 
@@ -88,5 +88,5 @@
 
         <xsl:variable name="switch">
-        <div class="gsf_switch css_gsf_switch block" title="gsf:switch"> SWITCH <a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a></div>
+        <div class="gsf_switch css_gsf_switch block" title="gsf:switch"><table class="header"><tbody><tr><td class="header">SWITCH</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
         </xsl:variable>
 
@@ -99,5 +99,5 @@
 
         <xsl:variable name="when">
-        <div class="gsf_when css_gsf_when block" title="gsf:when">WHEN[test=<input type="text" name="rawtextinput" size="10"/>]<a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a></div>
+        <div class="gsf_when css_gsf_when block" title="gsf:when"><table class="header"><tbody><tr><td class="header">WHEN<input type="text" name="rawtextinput" size="10"/></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
         </xsl:variable>
 
@@ -109,5 +109,5 @@
 
         <xsl:variable name="otherwise">
-        <div class="gsf_otherwise css_gsf_otherwise block" title="gsf:otherwise">OTHERWISE<a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a></div>
+        <div class="gsf_otherwise css_gsf_otherwise block" title="gsf:otherwise"><table class="header"><tbody><tr><td class="header">OTHERWISE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
         </xsl:variable>
 
@@ -119,5 +119,5 @@
     
         <xsl:variable name="icon">
-        <div class="gsf_icon css_gsf_icon block leaf" title="gsf:icon"> ICON[type=<select><option value = "document" selected = "document">Document</option><option value = "classifier">Classifier</option><option value = "source">Source</option></select>]<a href="#" class="minmax">[-]</a><a href="#" class="remove">[x]</a></div>
+        <div class="gsf_icon css_gsf_icon block leaf" title="gsf:icon"><table class="header"><tbody><tr><td class="header">ICON<select><option value = "document" selected = "document">Document</option><option value = "classifier">Classifier</option><option value = "source">Source</option></select></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
         </xsl:variable>
 
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui.xsl	(revision 22986)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/layouts/xml-to-gui.xsl	(revision 22987)
@@ -119,5 +119,5 @@
 
         <div class="gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata">
-        <table class="header"><tbody><tr><td>CHOOSE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
+        <table class="header"><tbody><tr><td class="header">CHOOSE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
                 <xsl:apply-templates mode="xml-to-gui">
                     <xsl:with-param name="depth" select="$depth"/>
@@ -140,5 +140,5 @@
                      </xsl:call-template>
             </xsl:variable>
-        <table class="header"><tbody><tr><td><xsl:copy-of select="$combo"/></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
+        <table class="header"><tbody><tr><td class="header"><xsl:copy-of select="$combo"/></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
         </div>
     </xsl:template>
@@ -152,6 +152,5 @@
         <div class="gsf_link css_gsf_link block" title="gsf:link">
         <xsl:variable name="link">
-                LINK[type=
-    	        <select>
+                LINK<select>
                     <xsl:choose>
                         <xsl:when test="@type='document'">
@@ -177,7 +176,7 @@
                         </xsl:when>
                   </xsl:choose>
-	            </select>]
+	            </select>
         </xsl:variable>
-        <table class="header"><tbody><tr><td><xsl:copy-of select="$link"/></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
+        <table class="header"><tbody><tr><td class="header"><xsl:copy-of select="$link"/></td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
                 <xsl:apply-templates mode="xml-to-gui">
                     <xsl:with-param name="depth" select="$depth"/>
@@ -212,5 +211,5 @@
     
                     <!-- <a href="#" class="minmax">[+]</a><a href="#" class="remove">[x]</a><a href="#" class="remove"><img src="interfaces/oran/images/green_button_close.png" alt="[x]" title="Click me to remove"/></a><a href="[myhref]" class="ui-state-default ui-corner-all"><span class="ui-icon ui-icon-home" style="float:left;"></span>Home</a> -->
-            <table class="header"><tbody><tr><td>MATCH=<input type="text" name="rawtextinput" size="10" value="{@match}"/></td><td><xsl:copy-of select="$mode"/></td><td><a href="#" class="minmax ui-icon ui-icon-plusthick" title="Click me to expand">[+]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
+            <table class="header"><tbody><tr><td class="header">MATCH=<input type="text" name="rawtextinput" size="10" value="{@match}"/></td><td class="header"><xsl:copy-of select="$mode"/></td><td class="header"><a href="#" class="minmax ui-icon ui-icon-plusthick" title="Click me to expand">[+]</a></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
 
                 <table class="table" border="1">
@@ -234,5 +233,5 @@
 
         <div class="gsf_switch css_gsf_switch block" title="gsf:switch">
-                <table class="header"><tbody><tr><td>SWITCH</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
+                <table class="header"><tbody><tr><td class="header">SWITCH</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
                 <xsl:apply-templates mode="xml-to-gui">
                     <xsl:with-param name="depth" select="$depth"/>
@@ -249,5 +248,5 @@
 
         <div class="gsf_when css_gsf_when block" title="gsf:when"> 
-                <table class="header"><tbody><tr><td>WHEN[test=<xsl:value-of select="@test"/>]</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
+                <table class="header"><tbody><tr><td class="header">WHEN<xsl:value-of select="@test"/></td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
                 <xsl:apply-templates mode="xml-to-gui">
                   <xsl:with-param name="depth" select="$depth"/>
@@ -264,5 +263,5 @@
 
         <div class="gsf_otherwise css_gsf_otherwise block" title="gsf:otherwise">
-                <table><tbody><tr><td>OTHERWISE</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove">[x]</a></td><td><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
+                <table class="header"><tbody><tr><td class="header">OTHERWISE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td class="header"><a href="#" class="remove">[x]</a></td><td><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
                 <xsl:apply-templates mode="xml-to-gui">
                     <xsl:with-param name="depth" select="$depth"/>
@@ -280,6 +279,5 @@
         <div class="gsf_icon css_gsf_icon block leaf" title="gsf:icon">
             <xsl:variable name="icon">
-                ICON[type=
-                <select>
+                ICON<select>
                     <xsl:choose>
                         <xsl:when test="@type='document'">
@@ -299,7 +297,7 @@
                         </xsl:when>
                   </xsl:choose>
-                </select>]
+                </select>
                 </xsl:variable>
-            <table class="header"><tbody><tr><td><xsl:copy-of select="$icon"/></td><td><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
+            <table class="header"><tbody><tr><td class="header"><xsl:copy-of select="$icon"/></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table>
         </div>
     </xsl:template>
@@ -312,5 +310,5 @@
 
         <div class="block gsf_default" title="gsf:default">
-                <table class="header"><tbody><tr><td>DEFAULT</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
+                <table class="header"><tbody><tr><td class="header">DEFAULT</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
                 <xsl:apply-templates mode="xml-to-gui">
                     <xsl:with-param name="depth" select="$depth"/>
@@ -328,5 +326,5 @@
         <div class="block leaf gsf_text" title="gsf:text">
                 <xsl:variable name="rawtext"><xsl:value-of select="."/></xsl:variable>
-                <table class="header"><tbody><tr><td><input type="text" name="rawtextinput" size="10" value="{$rawtext}"/></td><td><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
+                <table class="header"><tbody><tr><td class="header"><input type="text" name="rawtextinput" size="10" value="{$rawtext}"/></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table>
         </div>
     </xsl:template>
@@ -361,5 +359,5 @@
         <xsl:param name="metadataSets"/>
 
-        <xsl:text>&lt;br/&gt;</xsl:text> <br/>
+        <!-- <xsl:text>&lt;br/&gt;</xsl:text> <br/> -->
     
         <xsl:apply-templates mode="xml-to-gui">