Index: gs2-extensions/mysql/trunk/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/mysql/trunk/CASCADE-MAKE.sh	(revision 22999)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#!/bin/bash
-
-cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
-source setup.bash
-
-for d in packages ; do
-  echo "Running $d/CASCADE-MAKE.sh"
-
-  (cd $d ; ./CASCADE-MAKE.sh $*)
-
-  if [ $? != 0 ] ; then
-    echo "Error encountered running $d/CASCADE-MAKE.sh"
-    exit 1
-  fi
-done
-
-
Index: gs2-extensions/mysql/trunk/setup.bash
===================================================================
--- gs2-extensions/mysql/trunk/setup.bash	(revision 22999)
+++ 	(revision )
@@ -1,44 +1,0 @@
-extdesc="the MySQL"
-
-full_setup=`pwd`/${BASH_SOURCE}
-fulldir=${full_setup%/*}
-fulldir=${fulldir%/.}
-
-source cascade-make/lib/cascade-lib.bash
-
-if [ "x$GEXTMYSQL" = "x" ] ; then
-  export GEXTMYSQL=$fulldir
-  export GEXTMYSQL_INSTALLED=$GEXTMYSQL/$GSDLOS
-
-  export PATH=$GEXTMYSQL_INSTALLED/bin:$PATH
-
-  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
-    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib
-  else
-    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib:$LD_LIBRARY_PATH
-  fi
-  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
-    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib
-  else
-    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib:$DYLD_LIBRARY_PATH
-  fi
-
-  if [ -e "devel-srcpack" ] ; then
-    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/devel/lib:$LD_LIBRARY_PATH
-    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
-  fi
-
-  
-  extdir=${GEXTMYSQL##*/}
-
-  if [ "x$GSDLEXTS" = "x" ] ; then
-    export GSDLEXTS=$extdir
-  else 
-    export GSDLEXTS=$GSDLEXTS:$extdir
-  fi
-
-
-  echo "+Your environment is now setup for $extdesc"
-else
-  echo "+Your environment is already setup for $extdesc"
-fi
Index: gs2-extensions/mysql/trunk/src/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/mysql/trunk/src/CASCADE-MAKE.sh	(revision 23000)
+++ gs2-extensions/mysql/trunk/src/CASCADE-MAKE.sh	(revision 23000)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
+source setup.bash
+
+for d in packages ; do
+  echo "Running $d/CASCADE-MAKE.sh"
+
+  (cd $d ; ./CASCADE-MAKE.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "Error encountered running $d/CASCADE-MAKE.sh"
+    exit 1
+  fi
+done
+
+
Index: gs2-extensions/mysql/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/mysql/trunk/src/packages/CASCADE-MAKE.sh	(revision 23000)
+++ gs2-extensions/mysql/trunk/src/packages/CASCADE-MAKE.sh	(revision 23000)
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+
+for d in MYSQL ; do
+  echo "    Running CASCADE-MAKE/$d.sh $*"
+
+  ./CASCADE-MAKE/$d.sh $*
+
+  if [ $? != 0 ] ; then
+    echo "  Error encountered running CASCADE-MAKE/$d.sh"
+    exit 1
+  fi
+done
Index: gs2-extensions/mysql/trunk/src/packages/CASCADE-MAKE/MYSQL.sh
===================================================================
--- gs2-extensions/mysql/trunk/src/packages/CASCADE-MAKE/MYSQL.sh	(revision 23000)
+++ gs2-extensions/mysql/trunk/src/packages/CASCADE-MAKE/MYSQL.sh	(revision 23000)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=mysql
+version=-5.1.47
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=
+if [ "x$GEXTAMP_INSTALLED" = "x" ] ; then
+  prefix=$GEXTMYSQL_INSTALLED
+else
+  prefix=$GEXTAMP_INSTALLED
+fi
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix --exec-prefix=$prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/mysql/trunk/src/setup.bash
===================================================================
--- gs2-extensions/mysql/trunk/src/setup.bash	(revision 23000)
+++ gs2-extensions/mysql/trunk/src/setup.bash	(revision 23000)
@@ -0,0 +1,44 @@
+extdesc="the MySQL"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+source cascade-make/lib/cascade-lib.bash
+
+if [ "x$GEXTMYSQL" = "x" ] ; then
+  export GEXTMYSQL=$fulldir
+  export GEXTMYSQL_INSTALLED=$GEXTMYSQL/$GSDLOS
+
+  export PATH=$GEXTMYSQL_INSTALLED/bin:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  if [ -e "devel-srcpack" ] ; then
+    export LD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/devel/lib:$LD_LIBRARY_PATH
+    export DYLD_LIBRARY_PATH=$GEXTMYSQL_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  
+  extdir=${GEXTMYSQL##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi