Index: /gs2-extensions/postgres-gis/trunk/src/CASCADE-MAKE.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/CASCADE-MAKE.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/CASCADE-MAKE.sh	(revision 23010)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+source setup.bash
+
+cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
+
+for d in packages ; do
+	echo "Running $d/CASCADE-MAKE.sh"
+
+	(cd $d ; ./CASCADE-MAKE.sh $*)
+
+	if [ $? != 0 ] ; then
+		echo "Error encountered running $d/CASCADE-MAKE.sh"
+		exit 1
+	fi
+done
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE.sh	(revision 23010)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+for d in BISON FLEX GEOS PROJ POSTGRES POSTGIS ; do
+	echo "    Running CASCADE-MAKE/$d.sh"
+
+	./CASCADE-MAKE/$d.sh $*
+
+	if [ $? != 0 ] ; then
+		echo "Error encountered running CASCADE-MAKE/$d.sh"
+		exit 1
+	fi
+done
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/BISON.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/BISON.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/BISON.sh	(revision 23010)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=bison
+version=-2.4.3
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTPOSTGRES_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/FLEX.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/FLEX.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/FLEX.sh	(revision 23010)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=flex
+version=-2.5.35
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTPOSTGRES_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/GEOS.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/GEOS.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/GEOS.sh	(revision 23010)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=geos
+version=-3.2.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTPOSTGRES_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/POSTGIS.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/POSTGIS.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/POSTGIS.sh	(revision 23010)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=postgis
+version=-1.5.1
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTPOSTGRES_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix --with-projdir="$GEXTPOSTGRES_INSTALLED"
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/POSTGRES.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/POSTGRES.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/POSTGRES.sh	(revision 23010)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=postgresql
+version=-8.4.4
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTPOSTGRES_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix 
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/PROJ.sh
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/PROJ.sh	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/packages/CASCADE-MAKE/PROJ.sh	(revision 23010)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=proj
+version=-4.7.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTPOSTGRES_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/postgres-gis/trunk/src/setup.bash
===================================================================
--- /gs2-extensions/postgres-gis/trunk/src/setup.bash	(revision 23010)
+++ /gs2-extensions/postgres-gis/trunk/src/setup.bash	(revision 23010)
@@ -0,0 +1,45 @@
+
+extdesc="the PostgreSQL and PostGIS"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+source cascade-make/lib/cascade-lib.bash
+
+if [ "x$GEXTPOSTGRES" = "x" ] ; then
+  export GEXTPOSTGRES=$fulldir
+  export GEXTPOSTGRES_INSTALLED=$GEXTPOSTGRES/$GSDLOS
+
+  export PATH=$GEXTPOSTGRES_INSTALLED/bin:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXTPOSTGRES_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXTPOSTGRES_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXTPOSTGRES_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXTPOSTGRES_INSTALLED/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  if [ -e "devel-srcpack" ] ; then
+    export LD_LIBRARY_PATH=$GEXTPOSTGRES_INSTALLED/devel/lib:$LD_LIBRARY_PATH
+    export DYLD_LIBRARY_PATH=$GEXTPOSTGRES_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  
+  extdir=${GEXTPOSTGRES##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi