Index: /main/trunk/gli/metadata/ex.mds
===================================================================
--- /main/trunk/gli/metadata/ex.mds	(revision 23022)
+++ /main/trunk/gli/metadata/ex.mds	(revision 23023)
@@ -101,5 +101,5 @@
         <Language code="en">
             <Attribute name="label">SourceFile</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The file the metadata has been extracted from</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -108,5 +108,5 @@
         <Language code="en">
             <Attribute name="label">FileSize</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The size of the source file in bytes</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -115,5 +115,5 @@
         <Language code="en">
             <Attribute name="label">FileFormat</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The format of the source file</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -122,5 +122,5 @@
         <Language code="en">
             <Attribute name="label">MimeType</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The MIME type of the source file</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -129,6 +129,6 @@
         <Language code="en">
             <Attribute name="label">Identifier</Attribute>
-            <Attribute name="definition">ff</Attribute>
-            <Attribute name="comment">dd</Attribute>
+            <Attribute name="definition">Identifier assigned by Greenstone</Attribute>
+            <Attribute name="comment"/>
         </Language>
         <Language code="ab">
@@ -141,5 +141,5 @@
         <Language code="en">
             <Attribute name="label">Plugin</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The Greenstone plugin used to extract metadata</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -148,5 +148,5 @@
         <Language code="en">
             <Attribute name="label">URL</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The URL the source file was retrieved from</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -155,5 +155,5 @@
         <Language code="en">
             <Attribute name="label">assocfilepath</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The filepath of any associated files</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -162,5 +162,5 @@
         <Language code="en">
             <Attribute name="label">lastmodified</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The date of the last modification of the source file</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -169,5 +169,5 @@
         <Language code="en">
             <Attribute name="label">hascover</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Whether or not a cover has been defined for the source file</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -176,5 +176,5 @@
         <Language code="en">
             <Attribute name="label">NoText</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">True if the source file has no text</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -183,5 +183,5 @@
         <Language code="en">
             <Attribute name="label">Date</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The date of the source file</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -190,5 +190,5 @@
         <Language code="en">
             <Attribute name="label">Image</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Image</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -197,5 +197,5 @@
         <Language code="en">
             <Attribute name="label">ImageType</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The type of the image</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -204,5 +204,5 @@
         <Language code="en">
             <Attribute name="label">ImageSize</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The size of the image in bytes</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -211,5 +211,5 @@
         <Language code="en">
             <Attribute name="label">ImageHeight</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The height of the image in pixels</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -218,5 +218,5 @@
         <Language code="en">
             <Attribute name="label">ImageWidth</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The width of the image in pixels</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -225,5 +225,5 @@
         <Language code="en">
             <Attribute name="label">Thumb</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Thumbnail image</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -232,5 +232,5 @@
         <Language code="en">
             <Attribute name="label">ThumbType</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The file type of the thumbnail image</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -239,5 +239,5 @@
         <Language code="en">
             <Attribute name="label">ThumbWidth</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The width of the thumbnail image in pixels</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -246,5 +246,5 @@
         <Language code="en">
             <Attribute name="label">ThumbHeight</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The height of the thumbnail image in pixels</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -253,5 +253,5 @@
         <Language code="en">
             <Attribute name="label">Screen</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Screen</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -260,5 +260,5 @@
         <Language code="en">
             <Attribute name="label">ScreenType</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The type of the screen</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -267,5 +267,5 @@
         <Language code="en">
             <Attribute name="label">ScreenWidth</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The width of the screen in pixels</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -274,5 +274,5 @@
         <Language code="en">
             <Attribute name="label">ScreenHeight</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">The height of the screen in pixels</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -281,5 +281,5 @@
         <Language code="en">
             <Attribute name="label">SourceSegment</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Source segment</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -288,5 +288,5 @@
         <Language code="en">
             <Attribute name="label">NumPages</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Number of pages</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -316,5 +316,5 @@
         <Language code="en">
             <Attribute name="label">Pages</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Pages</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -323,5 +323,5 @@
         <Language code="en">
             <Attribute name="label">PageNum</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Number of pages</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -330,5 +330,5 @@
         <Language code="en">
             <Attribute name="label">GENERATOR</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">GENERATOR</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -337,5 +337,5 @@
         <Language code="en">
             <Attribute name="label">ISISRawRecord</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">ISISRawRecord</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -402,5 +402,5 @@
         <Language code="en">
             <Attribute name="label">EmailAddress</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Email address</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -448,5 +448,5 @@
         <Language code="en">
             <Attribute name="label">equivlink</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">equivlink</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -455,5 +455,5 @@
         <Language code="en">
             <Attribute name="label">Acronym</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Acronym</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -483,5 +483,5 @@
         <Language code="en">
             <Attribute name="label">Keyphrase</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Keyphrase</Attribute>
             <Attribute name="comment"/>
         </Language>
@@ -490,5 +490,5 @@
         <Language code="en">
             <Attribute name="label">Keyphrases</Attribute>
-            <Attribute name="definition"/>
+            <Attribute name="definition">Keyphrases</Attribute>
             <Attribute name="comment"/>
         </Language>