Index: 2-extensions/gnome-lib/trunk/CASCADE-MAKE.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/CASCADE-MAKE.sh	(revision 23025)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#!/bin/bash
-
-source setup.bash
-
-cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
-
-for d in packages ; do
-    echo "Running $d/CASCADE-MAKE.sh"
-
-    (cd $d ; ./CASCADE-MAKE.sh $*)
-
-    if [ $? != 0 ] ; then
-	echo "Error encountered running $d/CASCADE-MAKE.sh"
-	exit 1
-    fi
-done
Index: 2-extensions/gnome-lib/trunk/devel.bash
===================================================================
--- /gs2-extensions/gnome-lib/trunk/devel.bash	(revision 23025)
+++ 	(revision )
@@ -1,20 +1,0 @@
-#!/bin/bash
-
-if [ "x$GEXTGNOME" = "x" ] ; then
-	source setup.bash
-fi
-
-if [ "x$GEXTGNOME_DEVEL" = "x" ] ; then
-	# Set environment variable so we can tell devel.bash has been sourced
-	export GEXTGNOME_DEVEL=$GEXTGNOME
-	
-	export PATH="$GEXTGNOME_INSTALLED/bin:$PATH"
-	export CFLAGS="-I$GEXTGNOME_INSTALLED/include $CFLAGS"
-	export CPPFLAGS="-I$GEXTGNOME_INSTALLED/include $CPPFLAGS"
-	export CXXFLAGS="-I$GEXTGNOME_INSTALLED/include $CXXFLAGS"
-	export LDFLAGS="-L$GEXTGNOME_INSTALLED/lib $LDFLAGS"
-	
-	echo "+Your environment is now setup to compile with the Gnome Support Library"
-else
-	echo "+Your environment is already setup to compile with the Gnome Support Library"
-fi
Index: 2-extensions/gnome-lib/trunk/setup.bash
===================================================================
--- /gs2-extensions/gnome-lib/trunk/setup.bash	(revision 23025)
+++ 	(revision )
@@ -1,45 +1,0 @@
-
-extdesc="the GNOME support library"
-
-full_setup=`pwd`/${BASH_SOURCE}
-fulldir=${full_setup%/*}
-fulldir=${fulldir%/.}
-
-source cascade-make/lib/cascade-lib.bash
-
-if [ "x$GEXTGNOME" = "x" ] ; then
-  export GEXTGNOME=$fulldir
-  export GEXTGNOME_INSTALLED=$GEXTGNOME/$GSDLOS
-
-  export PATH=$GEXTGNOME_INSTALLED/bin:$PATH
-
-  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
-    export LD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib
-  else
-    export LD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib:$LD_LIBRARY_PATH
-  fi
-  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
-    export DYLD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib
-  else
-    export DYLD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib:$DYLD_LIBRARY_PATH
-  fi
-
-  if [ -e "devel-srcpack" ] ; then
-    export LD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/devel/lib:$LD_LIBRARY_PATH
-    export DYLD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
-  fi
-
-  
-  extdir=${GEXTGNOME##*/}
-
-  if [ "x$GSDLEXTS" = "x" ] ; then
-    export GSDLEXTS=$extdir
-  else 
-    export GSDLEXTS=$GSDLEXTS:$extdir
-  fi
-
-
-  echo "+Your environment is now setup for $extdesc"
-else
-  echo "+Your environment is already setup for $extdesc"
-fi
Index: 2-extensions/gnome-lib/trunk/setup.bat
===================================================================
--- /gs2-extensions/gnome-lib/trunk/setup.bat	(revision 23025)
+++ 	(revision )
@@ -1,57 +1,0 @@
-@echo off
-pushd "%CD%"
-CD /D "%~dp0"
-set GSDLLANG=en
-set extdesc="the GNOME support library"
-
-if "%OS%" == "Windows_NT" goto WinNT
-if "%OS%" == "" goto Win95
-if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
-if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
-if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
-if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
-goto End
-
-:WinNT
-set GEXTGNOME=%CD%
-set GEXTGNOME_INSTALLED=%GEXTGNOME%\windows
-
-set PATH=%GEXTGNOME_INSTALLED%\bin;%PATH%
-set GS_CP_SET=yes
-goto Success
-
-:Win95
-if "%1" == "SetEnv" goto Win95Env
-REM We'll invoke a second copy of the command processor to make
-REM sure there's enough environment space
-COMMAND /E:2048 /K %0 SetEnv
-goto End
-
-:Win95Env
-set GEXTGNOME=%CD%
-set PATH="%GEXTGNOME_INSTALLED%\bin";"%PATH%"
-set GS_CP_SET=yes
-goto Success
-
-:Success
-
-set fulldir=%~dp0
-
-:: strip off everything up to (and including) ext dir
-set extdir=%fulldir:*ext\=%
-
-:: remove trailing slash
-set extdir=%extdir:\=%
-
-
-if "x%GSDLEXTS%" == "x" (
-  set GSDLEXTS=%extdir%
-) else (
-  set GSDLEXTS=%GSDLEXTS%:%extdir%
-)
-
-echo +Your environment is now setup for %extdesc%
-
-:End
-
-popd
Index: /gs2-extensions/gnome-lib/trunk/src/CASCADE-MAKE.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/CASCADE-MAKE.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/CASCADE-MAKE.sh	(revision 23026)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+source setup.bash
+
+cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
+
+for d in packages ; do
+    echo "Running $d/CASCADE-MAKE.sh"
+
+    (cd $d ; ./CASCADE-MAKE.sh $*)
+
+    if [ $? != 0 ] ; then
+	echo "Error encountered running $d/CASCADE-MAKE.sh"
+	exit 1
+    fi
+done
Index: /gs2-extensions/gnome-lib/trunk/src/devel.bash
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/devel.bash	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/devel.bash	(revision 23026)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ "x$GEXTGNOME" = "x" ] ; then
+	source setup.bash
+fi
+
+if [ "x$GEXTGNOME_DEVEL" = "x" ] ; then
+	# Set environment variable so we can tell devel.bash has been sourced
+	export GEXTGNOME_DEVEL=$GEXTGNOME
+	
+	export PATH="$GEXTGNOME_INSTALLED/bin:$PATH"
+	export CFLAGS="-I$GEXTGNOME_INSTALLED/include $CFLAGS"
+	export CPPFLAGS="-I$GEXTGNOME_INSTALLED/include $CPPFLAGS"
+	export CXXFLAGS="-I$GEXTGNOME_INSTALLED/include $CXXFLAGS"
+	export LDFLAGS="-L$GEXTGNOME_INSTALLED/lib $LDFLAGS"
+	
+	echo "+Your environment is now setup to compile with the Gnome Support Library"
+else
+	echo "+Your environment is already setup to compile with the Gnome Support Library"
+fi
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh	(revision 23026)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+for d in INTLTOOL GETTEXT PKG-CONFIG LIBXML GLIB LIBGSF; do
+    echo "    Running CASCADE-MAKE/$d.sh"
+
+    ./CASCADE-MAKE/$d.sh $*
+
+    if [ $? != 0 ] ; then
+	echo "Error encountered running CASCADE-MAKE/$d.sh"
+	exit 1
+    fi
+done
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 23026)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=gettext
+version=-0.18.1.1
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh	(revision 23026)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=glib
+version=-2.24.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTGNOME_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTGNOME_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTGNOME_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTGNOME_INSTALLED/lib"
+
+opt_run_untar $force_untar $auto_untar $package $version
+if [ "$GSDLOS" = "darwin" ] ; then
+	opt_run_configure $force_config $auto_config $package $version $prefix
+else
+	opt_run_configure $force_config $auto_config $package $version $prefix --enable-static --disable-shared
+fi
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/INTLTOOL.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/INTLTOOL.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/INTLTOOL.sh	(revision 23026)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=intltool
+version=-0.40.6
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh	(revision 23026)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=libgsf
+version=-1.14.18
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTGNOME_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTGNOME_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTGNOME_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTGNOME_INSTALLED/lib"
+
+opt_run_untar $force_untar $auto_untar $package $version
+if [ "$GSDLOS" = "darwin" ] ; then
+	opt_run_configure $force_config $auto_config $package $version $prefix
+else
+	opt_run_configure $force_config $auto_config $package $version $prefix --enable-static --disable-shared
+fi
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 23026)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=libxml2
+version=-2.7.7
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+if [ "$GSDLOS" = "darwin" ] ; then
+	opt_run_configure $force_config $auto_config $package $version $prefix
+else
+	opt_run_configure $force_config $auto_config $package $version $prefix --enable-static --disable-shared
+fi
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 23026)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+package=pkg-config
+version=-0.25
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTGNOME_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/setup.bash
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/setup.bash	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/setup.bash	(revision 23026)
@@ -0,0 +1,45 @@
+
+extdesc="the GNOME support library"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+source cascade-make/lib/cascade-lib.bash
+
+if [ "x$GEXTGNOME" = "x" ] ; then
+  export GEXTGNOME=$fulldir
+  export GEXTGNOME_INSTALLED=$GEXTGNOME/$GSDLOS
+
+  export PATH=$GEXTGNOME_INSTALLED/bin:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  if [ -e "devel-srcpack" ] ; then
+    export LD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/devel/lib:$LD_LIBRARY_PATH
+    export DYLD_LIBRARY_PATH=$GEXTGNOME_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  
+  extdir=${GEXTGNOME##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi
Index: /gs2-extensions/gnome-lib/trunk/src/setup.bat
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/setup.bat	(revision 23026)
+++ /gs2-extensions/gnome-lib/trunk/src/setup.bat	(revision 23026)
@@ -0,0 +1,57 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+set GSDLLANG=en
+set extdesc="the GNOME support library"
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
+if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
+goto End
+
+:WinNT
+set GEXTGNOME=%CD%
+set GEXTGNOME_INSTALLED=%GEXTGNOME%\windows
+
+set PATH=%GEXTGNOME_INSTALLED%\bin;%PATH%
+set GS_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set GEXTGNOME=%CD%
+set PATH="%GEXTGNOME_INSTALLED%\bin";"%PATH%"
+set GS_CP_SET=yes
+goto Success
+
+:Success
+
+set fulldir=%~dp0
+
+:: strip off everything up to (and including) ext dir
+set extdir=%fulldir:*ext\=%
+
+:: remove trailing slash
+set extdir=%extdir:\=%
+
+
+if "x%GSDLEXTS%" == "x" (
+  set GSDLEXTS=%extdir%
+) else (
+  set GSDLEXTS=%GSDLEXTS%:%extdir%
+)
+
+echo +Your environment is now setup for %extdesc%
+
+:End
+
+popd