Index: gs2-extensions/subversion/trunk/src/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/CASCADE-MAKE.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/CASCADE-MAKE.sh	(revision 23043)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
+source setup.bash
+
+for d in packages ; do
+  echo "Running $d/CASCADE-MAKE.sh"
+
+  (cd $d ; ./CASCADE-MAKE.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "Error encountered running $d/CASCADE-MAKE.sh"
+    exit 1
+  fi
+done
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE.sh	(revision 23043)
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+
+for d in APR APRUTIL SERF NEON SQLITE ZLIB SUBVERSION ; do
+  echo "    Running CASCADE-MAKE/$d.sh $*"
+
+  ./CASCADE-MAKE/$d.sh $*
+
+  if [ $? != 0 ] ; then
+    echo "  Error encountered running CASCADE-MAKE/$d.sh"
+    exit 1
+  fi
+done
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APR.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APR.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APR.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=apr
+version=-1.3.8
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APRUTIL.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APRUTIL.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APRUTIL.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=apr-util
+version=-1.3.9
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix --with-apr=$prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/NEON.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/NEON.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/NEON.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=neon
+version=-0.28.6
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=serf
+version=-0.3.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SQLITE.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SQLITE.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SQLITE.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=sqlite
+version=-3.7.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=subversion
+version=-1.6.13
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix --with-sqlite=$prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/ZLIB.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/ZLIB.sh	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/ZLIB.sh	(revision 23043)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=zlib
+version=-1.2.4
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTSVN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
+
+
+
Index: gs2-extensions/subversion/trunk/src/setup.bash
===================================================================
--- gs2-extensions/subversion/trunk/src/setup.bash	(revision 23043)
+++ gs2-extensions/subversion/trunk/src/setup.bash	(revision 23043)
@@ -0,0 +1,38 @@
+extdesc="the Subversion"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+source cascade-make/lib/cascade-lib.bash
+
+if [ "x$GEXTSVN" = "x" ] ; then
+  export GEXTSVN=$fulldir
+  export GEXTSVN_INSTALLED=$GEXTSVN/$GSDLOS
+
+  export PATH=$GEXTSVN_INSTALLED/bin:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  extdir=${GEXTSVN##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi