Index: gs2-extensions/subversion/trunk/src/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/CASCADE-MAKE.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/CASCADE-MAKE.sh	(revision 23094)
@@ -1,5 +1,5 @@
 #!/bin/bash
 
-cd cascade-make/lib ; source cascade-lib.bash ; cd ../..
+source cascade-make/lib/cascade-lib.bash GEXTSVN . $*
 source setup.bash
 
@@ -15,3 +15,5 @@
 done
 
-
+if [ $makedist = "1" ] ; then
+  toplevel_make_dist
+fi
Index: gs2-extensions/subversion/trunk/src/devel.bash
===================================================================
--- gs2-extensions/subversion/trunk/src/devel.bash	(revision 23094)
+++ gs2-extensions/subversion/trunk/src/devel.bash	(revision 23094)
@@ -0,0 +1,2 @@
+source cascade-make/lib/cascade-lib.bash
+
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APR.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APR.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APR.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APRUTIL.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APRUTIL.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/APRUTIL.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/NEON.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/NEON.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/NEON.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SERF.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SQLITE.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SQLITE.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SQLITE.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/SUBVERSION.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/ZLIB.sh
===================================================================
--- gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/ZLIB.sh	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/packages/CASCADE-MAKE/ZLIB.sh	(revision 23094)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTSVN ../.. $*
 
 prefix=$GEXTSVN_INSTALLED
Index: gs2-extensions/subversion/trunk/src/setup.bash
===================================================================
--- gs2-extensions/subversion/trunk/src/setup.bash	(revision 23075)
+++ gs2-extensions/subversion/trunk/src/setup.bash	(revision 23094)
@@ -7,5 +7,6 @@
 if [ "x$GSDLHOME" = "x" ] ; then
   if [ -e ../../setup.bash ] ; then
-    ( gsopt_noext=1 && cd ../.. && source setup.bash )
+    export gsopt_noexts=1 && pushd ../.. && source setup.bash && popd
+    export gsopt_noexts=
   fi
 fi