Index: gs2-extensions/gnome-lib/trunk/src/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/CASCADE-MAKE.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/CASCADE-MAKE.sh	(revision 23096)
@@ -13,2 +13,6 @@
     fi
 done
+
+if [ $makedist = "1"  ] ; then
+  toplevel_make_dist
+fi
Index: gs2-extensions/gnome-lib/trunk/src/devel.bash
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/devel.bash	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/devel.bash	(revision 23096)
@@ -2,5 +2,5 @@
 
 if [ -d cascade-make ] ; then
-  source cascade-make/lib/cascade-lib.bash
+  source cascade-make/lib/cascade-lib.bash GEXTGNOME . $*
 fi
 
@@ -27,21 +27,4 @@
 	    pushd $GEXTGNOME_INSTALLED/lib/pkgconfig
 
-#	pcfilelist=`ls *.pc`
-#	firstfile=`$pcfilelist | head -1`
-#	pkgconfigprefix=`awk '/^prefix=/{ sub(/^prefix=/, "") ; print }' $firstfile`
-
-#	if [ "$pkgconfigprefix" = "$GEXTGNOME_INSTALLED" ] ; then
-#		echo "OK"
-#	else
-#		echo "NO - Correcting configuration..."
-
-#		for file in $pcfilelist ; do
-#			awk '{ sub(/^prefix=\/.*$/, "prefix=$GEXTGNOME_INSTALLED") ; print }' $file > $file
-#		done 
-#		
-#		echo "COMPLETE"
-#	fi
-
-
   	    if [ ! -e .fixed-prefix.awk ] ; then
 
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh	(revision 23096)
@@ -1,5 +1,5 @@
 #!/bin/bash
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME .. $*
 
 for d in INTLTOOL GETTEXT PKG-CONFIG LIBXML GLIB LIBGSF; do
@@ -14,7 +14,9 @@
 done
 
-
 if [ $install = "1" ] ; then
   touch "$GEXTGNOME_INSTALLED/lib/pkgconfig/.fixed-prefix.awk"
 fi
 
+if [ $makedist = "1" ] ; then
+  rm -f "$GEXTGNOME_INSTALLED/lib/pkgconfig/.fixed-prefix.awk"
+fi
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 23096)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
 
 prefix=$GEXTGNOME_INSTALLED
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh	(revision 23096)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
 
 prefix=$GEXTGNOME_INSTALLED
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/INTLTOOL.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/INTLTOOL.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/INTLTOOL.sh	(revision 23096)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
 
 prefix=$GEXTGNOME_INSTALLED
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh	(revision 23096)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
 
 prefix=$GEXTGNOME_INSTALLED
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 23096)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
 
 prefix=$GEXTGNOME_INSTALLED
Index: gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh
===================================================================
--- gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 23094)
+++ gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 23096)
@@ -6,5 +6,5 @@
 progname=$0
 
-source ../cascade-make/lib/cascade-lib.bash
+source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
 
 prefix=$GEXTGNOME_INSTALLED